'use strict';

const wd = require('weex-devtool');

function checkPort(port){
  try{
    execSync(`lsof -i :${port} | grep node`);
    return true;
  }catch(e){
    return false;
  }
}

function startDevtoolServer(port){
  if(checkPort(port)){
    return Promise.resolve();
  }
  return new Promise(function(resolve){
    wd.api.startServerAndLaunchDevtool('', '', port, function(){
      resolve();
    });
  });
}


exports.startDevtoolServer = startDevtoolServer;