'use strict';
const path = require('path');
const spawn = require('cross-spawn');
const rimraf = require('rimraf');
const npmcmd = require.resolve('npm/bin/npm-cli');
const cwd = process.cwd();

exports.install = function(env){
  env = ['development', 'production'].indexOf(env) != -1 ? env : 'production';
  
  let result = spawn.sync(
    'npm', ['i', `--${env}`, '--no-package-lock'], {
      cwd: cwd,
      stdio: 'inherit'
    }
  )

  return !result.error && result.status == 0;
}
exports.update = function(env){
  env = ['development', 'production'].indexOf(env) != -1 ? env : 'production';

  try{
    rimraf.sync(path.join(cwd, 'node_modules'));
  } catch(e){
    return false;
  }


  let result = spawn.sync(
    'npm', ['i', `--${env}`, '--no-package-lock'], {
      cwd: cwd,
      stdio: 'inherit'
    }
  )

  return !result.error && result.status == 0;
}
